@import url(general.css);

:root {
    --color-base: rgba(0, 10, 20, 1); /* #000A14 */
    --color-claro: rgba(15, 25, 35, 1); /* #0F1923 */
    --color-intermedio: rgba(30, 45, 60, 1); /* #1E2D3C */
    --color-complementario-calido: rgb(65, 200, 209); /* #C85A3C */
    --color-secundario-frio: rgba(0, 80, 120, 1); /* #005078 */
  
    /* Transparencias útiles */
    --color-base-semitransparente: rgba(0, 10, 20, 0.5);
    --color-claro-semitransparente: rgba(15, 25, 35, 0.5);
  }

  #contacto {
    background: white;
    color: white;
    padding: 3rem 1rem;
    max-width: 100%;
  }

  .contacto-col{
    background-color: white !important;
  }
  
  #contacto h2 {
    color: var(--color-base);
    font-weight: 700;
    margin-bottom: 1.5rem;
  }
  
  #contacto .card {
    background: rgba(255, 255, 255, 0.1);
    border: none;
    border-radius: 1rem;
    box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.3);
    max-width: 80%;
  }
  
  #contacto .form-control {
    background: rgba(255, 255, 255, 0.2);
    color: black;
  }
  
  #contacto .form-control:focus {
    background: rgba(255, 255, 255, 0.3);
    box-shadow: 0 0 0 0.2rem var(--color-intermedio);
    color: black;
  }
  
  #contacto label {
    color: var(--color-base);
    font-weight: 500;
  }
  
  #contacto button {
    background: var(--color-intermedio);
    border: none;
    color: white;
    padding: 0.8rem 2rem;
    border-radius: 2rem;
    transition:  0.3s ease-in-out, transform 0.2s;
  }
  
  #contacto button:hover {
    background: rgba(0, 0, 0, 0.8);
    transform: scale(1.05);
  }
  
  textarea{
    min-height: 100px;
    max-height: 100px;
  
  }



  @media (max-width: 768px) {
    #contacto .card {
      background: rgba(255, 255, 255, 0.1);
      border: none;
      border-radius: 1rem;
      box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.3);
      max-width: 100%;
    }
  }